<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/var/www/installer/public_html/officity-source/apps/system/tools/followup/create.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
	require_once(dirname(__FILE__).'/include.php');

	/* *** */

	$response = new JSONResponse();
    $response->set('module', 'OFFICITY:FOLLOWUP (COMMENT)');
  
	$MODULE_DENOMINATION = $_POST['module'];
	if (empty($MODULE_DENOMINATION))
	{
		$response->outputError('No module specified!');
	}
	$MODULE_DENOMINATION = strtoupper($MODULE_DENOMINATION);

	$ITEM_ID = $_POST['ID'];
	if (empty($ITEM_ID))
	{
		$response->outputError('No element ID!'); 
	}
	
	/* *** */
   
	$output_message = '';
	
	$nql = new Officity_Shell();
	
	$target_element = new Element($MODULE_DENOMINATION);
	$MODULE_ID = $target_element->getModuleID();

	$nql = new Officity_Shell();	

	$followup = new FollowupElement();
	$followup->parse($_POST);
	
	//$body = $followup->getInfo('BODY');
	
	$followup->setInfo('MODULETARGETID', $MODULE_ID);
	$followup->setInfo('TARGETID', $ITEM_ID);
	$result = $followup->create();
	
	//$response->set('NQL', $followup->getNQLCommand());
	
	if ($result === true)
	{
        $response->outputSuccess($output_message);
	}
    else
	{
        $response->outputError('Action failed: '.$followup->getLastError());
	}
?>